UC Learning Center Browser Compatibility

REPLACE THIS WITH ALT TEXT FOR THE ABOVE IMAGE, LEAVE IF NO IMAGE

In its current version, the UC Learning Center supports Internet Explorer 7-11, Google Chrome up to version 37, Mozilla Firefox up to version 30, and Safari up to version 7.

However, new browser versions are frequently introduced. Most will work with the UC Learning Center. However, you may experience some challenges with new versions including, courses not being marked complete, pages displaying improperly, and eCourses not launching. If you find you have a newer version of a browser, and it is not working correctly with the UC Learning Center, please contact uclearningcenter@uci.edu.

Internet Explorer                      Google Chrome                       Mozilla FireFox                       Apple Safari

Internet Explorer                    Google Chrome                      Mozilla Firefox                               Safari